class fixj extends fi_xj
 {
 public double[] func(double x[])
{ double y[]=new double[2];
 y[0]=x[0]*x[0]-3*x[1]+3                      ;
 y[1]=                      x[0]-x[1];
 return y;
}}
public class fi_xjtest
{
public static void main(String arg[])
{ fixj f=new fixj();
  double x[]={1.0,1.0};
  double ff[]=f.func(x);
  double df[][]=f.dfunc(x);
  Text.print(df);
}
}